<?php

/**
 * @file
 * Bulk export of views_default objects generated by Bulk export module.
 */

/**
 * Implementation of hook_views_default_views()
 */
function commune_views_default_views() {
  $views = array();

	$view = new view();
	$view->name = 'commune_gallery';
	$view->description = 'Gallery of uploaded images and links for a user posted to by a user';
	$view->tag = 'default';
	$view->base_table = 'node';
	$view->human_name = 'Commune Gallery Views';
	$view->core = 7;
	$view->api_version = '3.0';
	$view->disabled = TRUE; 

	/* Display: Master */
	$handler = $view->new_display('default', 'Master', 'default');
	$handler->display->display_options['title'] = 'Image Gallery';
	$handler->display->display_options['use_more_always'] = FALSE;
	$handler->display->display_options['access']['type'] = 'perm';
	$handler->display->display_options['cache']['type'] = 'none';
	$handler->display->display_options['query']['type'] = 'views_query';
	$handler->display->display_options['exposed_form']['type'] = 'basic';
	$handler->display->display_options['pager']['type'] = 'full';
	$handler->display->display_options['pager']['options']['items_per_page'] = '10';
	$handler->display->display_options['style_plugin'] = 'grid';
	$handler->display->display_options['style_options']['columns'] = '2';
	$handler->display->display_options['row_plugin'] = 'fields';
	$handler->display->display_options['row_options']['default_field_elements'] = FALSE;
	/* No results behavior: Global: Text area */
	$handler->display->display_options['empty']['area']['id'] = 'area';
	$handler->display->display_options['empty']['area']['table'] = 'views';
	$handler->display->display_options['empty']['area']['field'] = 'area';
	$handler->display->display_options['empty']['area']['empty'] = TRUE;
	$handler->display->display_options['empty']['area']['content'] = 'Nothing Posted';
	$handler->display->display_options['empty']['area']['format'] = 'filtered_html';
	/* Relationship: Content: File Uploads (field_commune_upload:fid) */
	$handler->display->display_options['relationships']['field_commune_upload_fid']['id'] = 'field_commune_upload_fid';
	$handler->display->display_options['relationships']['field_commune_upload_fid']['table'] = 'field_data_field_commune_upload';
	$handler->display->display_options['relationships']['field_commune_upload_fid']['field'] = 'field_commune_upload_fid';
	/* Field: Content: Title */
	$handler->display->display_options['fields']['title']['id'] = 'title';
	$handler->display->display_options['fields']['title']['table'] = 'node';
	$handler->display->display_options['fields']['title']['field'] = 'title';
	$handler->display->display_options['fields']['title']['label'] = '';
	$handler->display->display_options['fields']['title']['exclude'] = TRUE;
	$handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
	$handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
	$handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
	/* Field: Content: Share Links */
	$handler->display->display_options['fields']['field_commune_url']['id'] = 'field_commune_url';
	$handler->display->display_options['fields']['field_commune_url']['table'] = 'field_data_field_commune_url';
	$handler->display->display_options['fields']['field_commune_url']['field'] = 'field_commune_url';
	$handler->display->display_options['fields']['field_commune_url']['click_sort_column'] = 'url';
	$handler->display->display_options['fields']['field_commune_url']['type'] = 'commune_embed';
	/* Sort criterion: Content: Post date */
	$handler->display->display_options['sorts']['created']['id'] = 'created';
	$handler->display->display_options['sorts']['created']['table'] = 'node';
	$handler->display->display_options['sorts']['created']['field'] = 'created';
	$handler->display->display_options['sorts']['created']['order'] = 'DESC';
	/* Contextual filter: Content: Author uid */
	$handler->display->display_options['arguments']['uid']['id'] = 'uid';
	$handler->display->display_options['arguments']['uid']['table'] = 'node';
	$handler->display->display_options['arguments']['uid']['field'] = 'uid';
	$handler->display->display_options['arguments']['uid']['default_action'] = 'default';
	$handler->display->display_options['arguments']['uid']['default_argument_type'] = 'user';
	$handler->display->display_options['arguments']['uid']['default_argument_options']['user'] = FALSE;
	$handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
	$handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
	$handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
	/* Filter criterion: Content: Published */
	$handler->display->display_options['filters']['status']['id'] = 'status';
	$handler->display->display_options['filters']['status']['table'] = 'node';
	$handler->display->display_options['filters']['status']['field'] = 'status';
	$handler->display->display_options['filters']['status']['value'] = 1;
	$handler->display->display_options['filters']['status']['group'] = 1;
	$handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
	/* Filter criterion: Content: Type */
	$handler->display->display_options['filters']['type']['id'] = 'type';
	$handler->display->display_options['filters']['type']['table'] = 'node';
	$handler->display->display_options['filters']['type']['field'] = 'type';
	$handler->display->display_options['filters']['type']['value'] = array(
		'commune_post' => 'commune_post',
	);
	$handler->display->display_options['filters']['type']['group'] = 1;
	/* Filter criterion: Content: Share Links (field_commune_url:url) */
	$handler->display->display_options['filters']['field_commune_url_url']['id'] = 'field_commune_url_url';
	$handler->display->display_options['filters']['field_commune_url_url']['table'] = 'field_data_field_commune_url';
	$handler->display->display_options['filters']['field_commune_url_url']['field'] = 'field_commune_url_url';
	$handler->display->display_options['filters']['field_commune_url_url']['operator'] = 'not empty';

	/* Display: Page */
	$handler = $view->new_display('page', 'Page', 'page');
	$handler->display->display_options['defaults']['title'] = FALSE;
	$handler->display->display_options['title'] = 'Link Gallery';
	$handler->display->display_options['defaults']['style_plugin'] = FALSE;
	$handler->display->display_options['style_plugin'] = 'grid';
	$handler->display->display_options['style_options']['columns'] = '1';
	$handler->display->display_options['defaults']['style_options'] = FALSE;
	$handler->display->display_options['defaults']['row_plugin'] = FALSE;
	$handler->display->display_options['row_plugin'] = 'fields';
	$handler->display->display_options['row_options']['default_field_elements'] = FALSE;
	$handler->display->display_options['defaults']['row_options'] = FALSE;
	$handler->display->display_options['path'] = 'commune/gallery/links';

	/* Display: File Gallery */
	$handler = $view->new_display('page', 'File Gallery', 'page_1');
	$handler->display->display_options['defaults']['fields'] = FALSE;
	/* Field: Content: Title */
	$handler->display->display_options['fields']['title']['id'] = 'title';
	$handler->display->display_options['fields']['title']['table'] = 'node';
	$handler->display->display_options['fields']['title']['field'] = 'title';
	$handler->display->display_options['fields']['title']['label'] = '';
	$handler->display->display_options['fields']['title']['exclude'] = TRUE;
	$handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
	$handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
	$handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
	$handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
	/* Field: Content: File Uploads */
	$handler->display->display_options['fields']['field_commune_upload']['id'] = 'field_commune_upload';
	$handler->display->display_options['fields']['field_commune_upload']['table'] = 'field_data_field_commune_upload';
	$handler->display->display_options['fields']['field_commune_upload']['field'] = 'field_commune_upload';
	$handler->display->display_options['fields']['field_commune_upload']['label'] = '';
	$handler->display->display_options['fields']['field_commune_upload']['exclude'] = TRUE;
	$handler->display->display_options['fields']['field_commune_upload']['element_label_colon'] = FALSE;
	$handler->display->display_options['fields']['field_commune_upload']['click_sort_column'] = 'fid';
	$handler->display->display_options['fields']['field_commune_upload']['type'] = 'file_url_plain';
	/* Field: Global: Custom text */
	$handler->display->display_options['fields']['nothing']['id'] = 'nothing';
	$handler->display->display_options['fields']['nothing']['table'] = 'views';
	$handler->display->display_options['fields']['nothing']['field'] = 'nothing';
	$handler->display->display_options['fields']['nothing']['label'] = '';
	$handler->display->display_options['fields']['nothing']['alter']['text'] = '<img width="300" height="300" src="[field_commune_upload]" title="[title]" /><br/>
	<center>[title]</center>';
	$handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
	$handler->display->display_options['defaults']['filter_groups'] = FALSE;
	$handler->display->display_options['defaults']['filters'] = FALSE;
	/* Filter criterion: Content: Published */
	$handler->display->display_options['filters']['status']['id'] = 'status';
	$handler->display->display_options['filters']['status']['table'] = 'node';
	$handler->display->display_options['filters']['status']['field'] = 'status';
	$handler->display->display_options['filters']['status']['value'] = 1;
	$handler->display->display_options['filters']['status']['group'] = 1;
	$handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
	/* Filter criterion: Content: Type */
	$handler->display->display_options['filters']['type']['id'] = 'type';
	$handler->display->display_options['filters']['type']['table'] = 'node';
	$handler->display->display_options['filters']['type']['field'] = 'type';
	$handler->display->display_options['filters']['type']['value'] = array(
		'commune_post' => 'commune_post',
	);
	$handler->display->display_options['filters']['type']['group'] = 1;
	/* Filter criterion: Content: File Uploads (field_commune_upload:fid) */
	$handler->display->display_options['filters']['field_commune_upload_fid']['id'] = 'field_commune_upload_fid';
	$handler->display->display_options['filters']['field_commune_upload_fid']['table'] = 'field_data_field_commune_upload';
	$handler->display->display_options['filters']['field_commune_upload_fid']['field'] = 'field_commune_upload_fid';
	$handler->display->display_options['filters']['field_commune_upload_fid']['operator'] = 'not empty';
	/* Filter criterion: File: Mime type */
	$handler->display->display_options['filters']['filemime']['id'] = 'filemime';
	$handler->display->display_options['filters']['filemime']['table'] = 'file_managed';
	$handler->display->display_options['filters']['filemime']['field'] = 'filemime';
	$handler->display->display_options['filters']['filemime']['relationship'] = 'field_commune_upload_fid';
	$handler->display->display_options['filters']['filemime']['operator'] = 'starts';
	$handler->display->display_options['filters']['filemime']['value'] = 'image';
	$handler->display->display_options['path'] = 'commune/gallery/files';

  $views['commune_gallery'] = $view;
	return $views;
}
